a:active, a:focus {
	outline: none;
	ie-dummy: expression(this.hideFocus=true);
}

.nofocus:focus {
	border-color: unset;
}

.cursor-move {
	cursor: move;
}

.fullheight {
	height: 100%;
}

.noselect {
	-webkit-touch-callout: none;
	-webkit-user-select: none;
	-khtml-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
	user-select: none;
}

.nopadding {
	padding-right: 0px;
	padding-left: 0px;
}

.color-green {color: #75cc18;}
.color-red {color: #e02d36;}

.p-0{padding: 0px!important;}
.p-t-0{padding-top: 0px;}
.p-t-5{padding-top: 5px;}
.p-t-10{padding-top: 10px;}
.p-t-20{padding-top: 20px;}
.cursor-pointer {cursor: pointer!important;};


.p-l-0{padding-left: 0px;}
.p-l-5{padding-left: 5px;}
.p-l-10{padding-left: 10px;}
.p-l-20{padding-left: 20px;}

.p-r-0{padding-right: 0px;}
.p-r-5{padding-right: 5px;}
.p-r-10{padding-right: 10px;}
.p-r-20{padding-right: 20px;}

.m-0{margin: 0 !important;} .m-l-0{margin-left: 0;} .m-r-0{margin-right: 0;} .m-t-0{margin-top: 0;} .m-b-0{margin-bottom: 0;}
.m-5{margin: 5px;} .m-l-5{margin-left: 5px;} .m-r-5{margin-right: 5px;} .m-t-5{margin-top: 5px;} .m-b-5{margin-bottom: 5px;}
.m-5{margin: 10px;} .m-l-10{margin-left: 10px;} .m-r-10{margin-right: 10px;} .m-t-10{margin-top: 10px;} .m-b-10{margin-bottom: 10px;}

.b-0 {border: 0;} .b-t-0 {border-top: 0;} .b-b-0 {border-bottom: 0;} .b-l-0 {border-left: 0;} .b-r-0 {border-right: 0;}
.b-1 {border: 1;} .b-t-1 {border-top: 1;} .b-b-1 {border-bottom: 1;} .b-l-1 {border-left: 1;} .b-r-1 {border-right: 1;}

.h-100 {height: 100%!important;}
.w-100 {height: 100%!important;}

.inline-block {display: inline-block!important;}
.br-0 {border:none!important;}
.br-t-0 {border-top:none!important;}
.br-r-0 {border-right:none!important;}
.br-b-0 {border-bottom:none!important;}
.br-l-0 {border-left:none!important;}

[class^="icon-"]:before,
[class*=" icon-"]:before {
  font-family: FontAwesome;
  font-weight: normal;
  font-style: normal;
  display: inline-block;
  text-decoration: inherit;
}

hr.m10 {
	margin-top: 10px;
	margin-bottom: 10px;
}


.shadowed {
	-webkit-box-shadow: 0 1px 3px rgba(0,0,0,.25)!important;
	box-shadow: 0 1px 3px rgba(0,0,0,.25)!important;
}

.noselect{
	-webkit-touch-callout: none;
	-webkit-user-select: none;
	-khtml-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
	user-select: none;
}

.noborder {
	border: 0;
}

.pointer{
	cursor: pointer;
}


/** JQUERY MODAL **/
.ui-widget {
	font-family: unset;
}

.ui-corner-all {
	/* border-radius: 0; */
}

.ui-widget-overlay {
	background: #000;
}

.ui-dialog {
	padding: 0;
}

.ui-dialog.ui-widget-content {
	border: none;
	background: #fff;
	color: #333;
	-webkit-box-shadow: 0 1px 3px rgba(0,0,0,.25);
	box-shadow: 0 1px 3px rgba(0,0,0,.25);
	border-bottom: 3px solid #0A8EB9;
}


/*  header  */
.ui-dialog .ui-dialog-titlebar.ui-widget-header {
	border: none;
	background: none;
	color: #444;
	font-weight: normal;
	border-bottom: 1px solid #f5f5f5;
	background-color: #fff;
}

.ui-dialog .ui-dialog-title {
	float: none;
	text-align: center;
	font-size: 14px;
}

.ui-dialog .ui-dialog-titlebar-close {
	right: 10px;
}

.ui-dialog .ui-widget-header .ui-icon {
}

.ui-dialog .ui-dialog-titlebar-close.ui-state-hover {
	border: 1px solid transparent;
	background: none;
}

.ui-dialog .ui-state-hover .ui-icon {
	opacity: .6;
}

/*  footer  */
.ui-dialog .ui-dialog-buttonpane {
	margin: 0;
	padding: 0;
}

.ui-dialog .ui-dialog-buttonpane.ui-widget-content {
	background: #fff;
	color: #333;
	padding: 5px 10px !important;
	margin: 0 !important;
	border-top: 1px solid #f5f5f5 !important;
	background: #fff !important;
	/* border-top: none!important; */
}

.ui-dialog .ui-dialog-buttonpane .btn {
}


.ui-widget input, .ui-widget select, .ui-widget textarea, .ui-widget button {
	font-family: unset;
	font-size: 13px;
}

.ui-resizable-helper {
	border: 0;
    border-top: 2px dotted #00F;
    z-index: 100000 !important;
}


/* BOOTSTRAP */

/*  forms  */
.modal-footer .btn {
	min-width: 70px;
	padding: 3px 12px;
}

/*  input group  */
.form-inline .form-group {
	margin-right: 5px;
}

.form-group {
	margin-bottom: 8px;
}

.form-control {
	border-radius: 0;
	box-shadow: none;
	border: 1px solid #e7e7e7;
}

.form-control:focus {
	-webkit-box-shadow: none;
	box-shadow: none;
}

.input-group-addon {
	padding: 3px 8px;
	border-radius: 0;
	border: 1px solid #e7e7e7;
}

.form-horizontal .control-label {
	padding-top: 3px;
	font-weight: normal;
	font-size: 85%;
	text-align: left;
}

.left-feedback .form-control-feedback {
	left: 0;
	right: auto;
}

.left-feedback .form-control {
	padding-left: 30px;
}

.input-sm {
	/* height: 26px; */
	/* padding: 3px 12px; */
	/* font-size: 12px; */
	/* line-height: 1.5; */
}

.input-sm+.form-control-feedback {
	width: 30px;
	height: 30px;
	line-height: 30px;
}

.img-thumbnail {
	border-radius: 0;
}

.progress {
	border-radius: 0;
}

/* validation */
label.error {
	font-size: 11px;
	font-weight: normal;
	color: #FF5722;
	margin-bottom: 0;
}

/* dropdown */
.dropdown-menu {
	font-size: 13px;
	/* top: 0; */
}

.dropdown-menu>.active>a, .dropdown-menu>.active>a:focus, .dropdown-menu>.active>a:hover {
	background-color: #283645;
}

/* TABLES */
.table-bordered {
  border: 1px solid #EBEBEB;
}
.table-bordered > thead > tr > th,
.table-bordered > thead > tr > td {
  background-color: #F5F5F6;
  border-bottom-width: 1px;
}
.table-bordered > thead > tr > th,
.table-bordered > tbody > tr > th,
.table-bordered > tfoot > tr > th,
.table-bordered > thead > tr > td,
.table-bordered > tbody > tr > td,
.table-bordered > tfoot > tr > td {
  border: 1px solid #e7e7e7;
}
.table > thead > tr > th {
  border-bottom: 1px solid #DDDDDD;
  vertical-align: bottom;
}
.table > thead > tr > th,
.table > tbody > tr > th,
.table > tfoot > tr > th,
.table > thead > tr > td,
.table > tbody > tr > td,
.table > tfoot > tr > td {
  border-top: 1px solid #e7eaec;
  /* line-height: 1.42857; */
  /* padding: 8px; */
  /* vertical-align: top; */
}


/* btns */
.btn {
	border-radius: 0 !important;
	/*border: none;*/
}

.btn:focus {
	outline: none!important;
	box-shadow: none!important;
}

.btn-primary {
	background-color: #0088CC;
}

/* .btn-primary.active, .btn-primary.focus, .btn-primary:active, .btn-primary:focus, .btn-primary:hover, .open > .dropdown-toggle.btn-primary {
	background-color: #007AB7;
}

.btn-default.active, .btn-default.focus, .btn-default:active, .btn-default:focus, .btn-default:hover, .open > .dropdown-toggle.btn-default {
	background-color: rgba(0, 0, 0, 0.12);
	box-shadow: none!important;
} */

/*
.btn-primary:hover,
.btn-primary:focus,
.btn-primary:active,
.btn-primary.active,
.open .dropdown-toggle.btn-primary,
.btn-primary:active:focus,
.btn-primary:active:hover,
.btn-primary.active:hover,
.btn-primary.active:focus {
  background-color: #18a689;
  border-color: #18a689;
  color: #FFFFFF;
}
.btn-primary:active,
.btn-primary.active,
.open .dropdown-toggle.btn-primary {
  background-image: none;
}
.btn-primary.disabled,
.btn-primary.disabled:hover,
.btn-primary.disabled:focus,
.btn-primary.disabled:active,
.btn-primary.disabled.active,
.btn-primary[disabled],
.btn-primary[disabled]:hover,
.btn-primary[disabled]:focus,
.btn-primary[disabled]:active,
.btn-primary.active[disabled],
fieldset[disabled] .btn-primary,
fieldset[disabled] .btn-primary:hover,
fieldset[disabled] .btn-primary:focus,
fieldset[disabled] .btn-primary:active,
fieldset[disabled] .btn-primary.active {
  background-color: #1dc5a3;
  border-color: #1dc5a3;
}

*/

.btn-success {
  /* background-color: #1c84c6; */
  /* border-color: #1c84c6; */
  /* color: #FFFFFF; */
}
.btn-success:hover,
.btn-success:focus,
.btn-success:active,
.btn-success.active,
.open .dropdown-toggle.btn-success,
.btn-success:active:focus,
.btn-success:active:hover,
.btn-success.active:hover,
.btn-success.active:focus {
  /* background-color: #1a7bb9; */
  /* border-color: #1a7bb9; */
  /* color: #FFFFFF; */
}
.btn-success:active,
.btn-success.active,
.open .dropdown-toggle.btn-success {
  background-image: none;
}
.btn-success.disabled,
.btn-success.disabled:hover,
.btn-success.disabled:focus,
.btn-success.disabled:active,
.btn-success.disabled.active,
.btn-success[disabled],
.btn-success[disabled]:hover,
.btn-success[disabled]:focus,
.btn-success[disabled]:active,
.btn-success.active[disabled],
fieldset[disabled] .btn-success,
fieldset[disabled] .btn-success:hover,
fieldset[disabled] .btn-success:focus,
fieldset[disabled] .btn-success:active,
fieldset[disabled] .btn-success.active {
  background-color: #1f90d8;
  border-color: #1f90d8;
}
.btn-info {
  background-color: #23c6c8;
  border-color: #23c6c8;
  color: #FFFFFF;
}
.btn-info:hover,
.btn-info:focus,
.btn-info:active,
.btn-info.active,
.open .dropdown-toggle.btn-info,
.btn-info:active:focus,
.btn-info:active:hover,
.btn-info.active:hover,
.btn-info.active:focus {
  background-color: #21b9bb;
  border-color: #21b9bb;
  color: #FFFFFF;
}
.btn-info:active,
.btn-info.active,
.open .dropdown-toggle.btn-info {
  background-image: none;
}
.btn-info.disabled,
.btn-info.disabled:hover,
.btn-info.disabled:focus,
.btn-info.disabled:active,
.btn-info.disabled.active,
.btn-info[disabled],
.btn-info[disabled]:hover,
.btn-info[disabled]:focus,
.btn-info[disabled]:active,
.btn-info.active[disabled],
fieldset[disabled] .btn-info,
fieldset[disabled] .btn-info:hover,
fieldset[disabled] .btn-info:focus,
fieldset[disabled] .btn-info:active,
fieldset[disabled] .btn-info.active {
  background-color: #26d7d9;
  border-color: #26d7d9;
}


.btn-warning {
  background-color: #f8ac59;
  border-color: #f8ac59;
  color: #FFFFFF;
}
.btn-warning:hover,
.btn-warning:focus,
.btn-warning:active,
.btn-warning.active,
.open .dropdown-toggle.btn-warning,
.btn-warning:active:focus,
.btn-warning:active:hover,
.btn-warning.active:hover,
.btn-warning.active:focus {
  background-color: #f7a54a;
  border-color: #f7a54a;
  color: #FFFFFF;
}
.btn-warning:active,
.btn-warning.active,
.open .dropdown-toggle.btn-warning {
  background-image: none;
}
.btn-warning.disabled,
.btn-warning.disabled:hover,
.btn-warning.disabled:focus,
.btn-warning.disabled:active,
.btn-warning.disabled.active,
.btn-warning[disabled],
.btn-warning[disabled]:hover,
.btn-warning[disabled]:focus,
.btn-warning[disabled]:active,
.btn-warning.active[disabled],
fieldset[disabled] .btn-warning,
fieldset[disabled] .btn-warning:hover,
fieldset[disabled] .btn-warning:focus,
fieldset[disabled] .btn-warning:active,
fieldset[disabled] .btn-warning.active {
  background-color: #f9b66d;
  border-color: #f9b66d;
}
.btn-danger {
  background-color: #ed5565;
  border-color: #ed5565;
  color: #FFFFFF;
}
.btn-danger:hover,
.btn-danger:focus,
.btn-danger:active,
.btn-danger.active,
.open .dropdown-toggle.btn-danger,
.btn-danger:active:focus,
.btn-danger:active:hover,
.btn-danger.active:hover,
.btn-danger.active:focus {
  background-color: #ec4758;
  border-color: #ec4758;
  color: #FFFFFF;
}
.btn-danger:active,
.btn-danger.active,
.open .dropdown-toggle.btn-danger {
  background-image: none;
}
.btn-danger.disabled,
.btn-danger.disabled:hover,
.btn-danger.disabled:focus,
.btn-danger.disabled:active,
.btn-danger.disabled.active,
.btn-danger[disabled],
.btn-danger[disabled]:hover,
.btn-danger[disabled]:focus,
.btn-danger[disabled]:active,
.btn-danger.active[disabled],
fieldset[disabled] .btn-danger,
fieldset[disabled] .btn-danger:hover,
fieldset[disabled] .btn-danger:focus,
fieldset[disabled] .btn-danger:active,
fieldset[disabled] .btn-danger.active {
  background-color: #ef6776;
  border-color: #ef6776;
}
.btn-link {
  color: inherit;
}
.btn-link:hover,
.btn-link:focus,
.btn-link:active,
.btn-link.active,
.open .dropdown-toggle.btn-link {
  color: #1ab394;
  text-decoration: none;
}
.btn-link:active,
.btn-link.active,
.open .dropdown-toggle.btn-link {
  background-image: none;
}
.btn-link.disabled,
.btn-link.disabled:hover,
.btn-link.disabled:focus,
.btn-link.disabled:active,
.btn-link.disabled.active,
.btn-link[disabled],
.btn-link[disabled]:hover,
.btn-link[disabled]:focus,
.btn-link[disabled]:active,
.btn-link.active[disabled],
fieldset[disabled] .btn-link,
fieldset[disabled] .btn-link:hover,
fieldset[disabled] .btn-link:focus,
fieldset[disabled] .btn-link:active,
fieldset[disabled] .btn-link.active {
  color: #cacaca;
}
.btn-white {
  color: inherit;
  background: white;
  border: 1px solid #e7eaec;
}
.btn-white:hover,
.btn-white:focus,
.btn-white:active,
.btn-white.active,
.open .dropdown-toggle.btn-white,
.btn-white:active:focus,
.btn-white:active:hover,
.btn-white.active:hover,
.btn-white.active:focus {
  color: inherit;
  border: 1px solid #d2d2d2;
}
.btn-white:active,
.btn-white.active {
  box-shadow: 0 2px 5px rgba(0, 0, 0, 0.15) inset;
}
.btn-white:active,
.btn-white.active,
.open .dropdown-toggle.btn-white {
  background-image: none;
}
.btn-white.disabled,
.btn-white.disabled:hover,
.btn-white.disabled:focus,
.btn-white.disabled:active,
.btn-white.disabled.active,
.btn-white[disabled],
.btn-white[disabled]:hover,
.btn-white[disabled]:focus,
.btn-white[disabled]:active,
.btn-white.active[disabled],
fieldset[disabled] .btn-white,
fieldset[disabled] .btn-white:hover,
fieldset[disabled] .btn-white:focus,
fieldset[disabled] .btn-white:active,
fieldset[disabled] .btn-white.active {
  color: #cacaca;
}
.form-control,
.form-control:focus,
.has-error .form-control:focus,
.has-success .form-control:focus,
.has-warning .form-control:focus,
.navbar-collapse,
.navbar-form,
.navbar-form-custom .form-control:focus,
.navbar-form-custom .form-control:hover,
.open .btn.dropdown-toggle,
.panel,
.popover,
.progress,
.progress-bar {
  box-shadow: none;
}
.btn-outline {
  color: inherit;
  background-color: transparent;
  transition: all .5s;
}
.btn-rounded {
  border-radius: 50px;
}

.btn-group.open .dropdown-toggle {
	box-shadow: none;
}

.btn-default.active {
	/* color: #fff; */
	/* background-color: #283645; */
	border-color: #adadad;
}

.btn-circle {
	width: 30px;
	height: 30px;
	text-align: center;
	padding: 6px 0;
	font-size: 12px;
	line-height: 1.428571429;
	border-radius: 15px !important;
}
.btn-circle.btn-lg {
	width: 50px;
	height: 50px;
	padding: 10px 16px;
	font-size: 18px;
	line-height: 1.33;
	border-radius: 25px;
}
.btn-circle.btn-xl {
	width: 70px;
	height: 70px;
	padding: 10px 16px;
	font-size: 24px;
	line-height: 1.33;
	border-radius: 35px;
}

/*  panels  */
.panel, .panel-group .panel {
	border-radius: 0;
}

.panel-heading {
	border-top-left-radius: 0;
	border-top-right-radius: 0;
}

/*  list group  */
.list-group-item:first-child{
	border-top-left-radius: 0;
	border-top-right-radius: 0;
}

.deviceinfo-list .list-group-item {
	border-bottom-right-radius: 0;
	border-bottom-left-radius: 0;
}

.modal-content {
	border-radius: 0;
	border: 0;
	box-shadow: none;
}

/*  modal  */
.modal-header {
	padding: 10px;
	border-top: 2px solid #283645;
}

.modal-header h4{
	font-size: 14px;
	font-weight: 600;
	color: #676a6c;
}

.modal-footer {
	padding: 10px;
}


/* CHOSEN */
.chosen-container-single .chosen-single {
	width: 100%;
	padding: 3px 12px;
	font-size: 13px;
	line-height: 1.5;
	color: #555;
	background-color: #fff;
	background-image: none;
	border: 1px solid #e7e7e7;
	box-shadow: none;
	-webkit-transition: none;
	-o-transition: none;
	transition: none;
	border-radius: 0;
	height: 27px;
}

.chosen-container-active.chosen-with-drop .chosen-single {
	border: 1px solid #e7e7e7;
}

.chosen-container .chosen-drop {
	border: 1px solid #e7e7e7;
	box-shadow: none;
}

.chosen-container-single .chosen-drop {
	border-radius: 0;
}

.chosen-container-single .chosen-search input[type="text"] {
	border: 1px solid #e7e7e7;
}

.chosen-container .chosen-results li.highlighted {
	background-image: unset;
	background-color: #eee;
	color: #333;
}
